@use '../../../../styles/base';

.expense-form {
    width: 100%;
    border: none;
    margin-top: 12px;
    margin-bottom: 12px;

    .body {
        .row {
            font-size: 0.95em;
            .label-cell {
                width: 5%;
                text-align: right;
                padding-right: 8px;

                @media (max-width: base.$mobile-device) {
                    width: 15%;
                }

                .input-label {
                    display: block;
                    font-weight: 500;
                    color: base.$button-text-color;
                }
            }
            .input-cell {
                width: 65%;
                height: 58px;

                @media (max-width: base.$mobile-device) {
                    height: 98px;
                }

                .text-input {
                    width: 100%;
                    border: 0;
                    padding: 2px 0px;
                    display: block;
                    border-bottom: 1px solid rgba(0, 0, 0, 0.25);
                    background-color: transparent;

                    &:focus {
                        outline: none;
                        border-bottom: 2px solid rgba(0, 0, 0, 0.336);
                    }
                }

                .date-input {
                    width: 100%;
                    border: 0;
                    padding: 2px 0px;
                    display: block;
                    border-bottom: 1px solid rgba(0, 0, 0, 0.25);
                    background-color: transparent;
                    font-size: 0.9em;

                    &:focus {
                        outline: none !important;
                        border-bottom: 2px solid rgba(0, 0, 0, 0.336);
                    }
                }
            }
        }
    }
}
